# $Id: smeserver-dirty-tools.spec,v 1.8 2009/01/29 13:58:10 mweinber Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary:        A collection of "dirty" scripts for the experienced administrator
%define         realname smeserver-dirty-tools
Name:           %{realname}
%define         version 0.1.0
Version:        %{version}
%define         release 7
Release:        %{release}%{?dist}
License:        GNU GPL (GNU General Public License)
Group:          Administration
Source:         %{realname}-%{version}.tar.xz
BuildRoot:      /var/tmp/%{realname}-%{version}-buildroot/
BuildArch:      noarch
Requires:       smeserver-release >= 10
Requires:       perl-esmith-PasswordTools
AutoReq:        no

%description
See http://wiki.contribs.org/Dirty_Tools for full documentation


%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1.0-7.sme
- Fix e-smith references in smeserver-dirty-tools [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1.0-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Nov 12 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1.0-5.sme
- fix dt-dovecot-indexfiles-delete maxdepth [SME: 11621]

* Fri Jun 04 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.0-4.sme
- import to SME 10 [SME: 11621]

* Thu Jan 29 2009 Michael Weinberger 0.0.9-3
  Bug 4962 fix
* Sat Mar 01 2008 Michael Weinberger 0.0.9-2
  use perl-esmith-PasswordTools 
* Sat Mar 01 2008 Michael Weinberger 0.0.9-1
  Bug 4001 fix
* Tue Sep 11 2007 Michael Weinberger
  Version 0.0.9
  dt-data-copy
* Wed Aug 22 2007 Michael Weinberger
  Version 0.0.8
  fixed dt-passowrds-sync: PasswordSet prop for ibays
* Tue Aug 21 2007 Michael Weinberger
  Version 0.0.7
  fixed dt-passowrds-sync: smbpasswd-sync: also sync flags and lct. 
  fixed dt-lock-account: dont unlock (new) account without a password set: Print a error.
  Set PasswordSet property onyl if both shadow password and smb password are set
* Sun Aug 19 2007 Michael Weinberger
  Version 0.0.6
  dt-lock-account
* Thu Aug 16 2007 Michael Weinberger
  Version 0.0.5
  dt-pw-generate
* Sun Aug 12 2007 Michael Weinberger
  Version 0.0.4
  dt-dovecot-indexfiles-delete added
  dt-datasync renamed to dt-data-sync
* Fri Aug 10 2007 Michael Weinberger
  Schleife in dt-password-sync mit 0 beginnen
* Wed Aug 01 2007 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/sbin/e-smith/@%attr(0750,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
